#pragma once

#define OLC_PGE_APPLICATION
#include "olcPixelGameEngine.h"

#include "map/map.h"
#include "util/render.h"

class App : public olc::PixelGameEngine {
public:
	App();

public:
	bool OnUserCreate() override;
	bool OnUserUpdate(float delta) override;
	bool OnUserDestroy() override;

private:
    Render m_render;

    Vector2<int> m_drag_start;
    Vector2<int> m_camera_pos;
};

