#include "entities/rainbow.h"

#include <iostream>

namespace entity {

void Rainbow::update(double dt) {
    m_time += dt;

    if(m_time - m_prev_time > 0.1) {
        m_prev_time = m_time;
        m_color = Color::from_hsv(rand() % 255, 255, 255);
    }
}

}  // End namespace entity

