#pragma once

#include "map/region.h"
#include "perlin.h"
#include "util/vector2.h"

class Generator {
    public:
        Generator();

        // void set_seed(int seed) { m_noise.reseed(seed); }
        int seed() { return m_seed; }

        void generate(Vector2<int> pos, Region &region);

    private:
        int m_seed;
        siv::PerlinNoise m_noise;
};
