#pragma once

#include "map/node.h"

#define REGION_SIZE    16

class Region {
public:
    Region() : Region({0, 0}) {};
    Region(Vector2<int> pos);

    Vector2<int> pos() { return m_pos; };

    Color m_color = Color::from_hsv(rand() % 254, 255, 255);
    Node &at(Vector2<int> pos);

    bool save();
    bool load();

private:
    Vector2<int> m_pos;

    Node m_nodes[REGION_SIZE][REGION_SIZE];
};
