#include "tiles/tile.h"
#include "map/node.h"

class Conveyor : public Tile {
    public:
        Conveyor() : Tile(5) {}

        Conveyor(const Conveyor &other) = default;
        Conveyor &operator=(const Conveyor &other) = delete;

        virtual ~Conveyor() = default;

        virtual Conveyor *clone() { return new Conveyor(*this); }

        Entity *create_entity() override;

        void render(Render r) override;

    private:

};
