#include "tiles/tile.h"
#include "map/node.h"

class Grass : public Tile {
    public:
        Grass() : Tile(2) {}

        Grass(const Grass &other) = default;
        Grass &operator=(const Grass &other) = delete;

        virtual ~Grass() = default;

        virtual Grass *clone() { return new Grass(*this); }

        void render(Render r) override;

    private:

};
