#include "tiles/tile.h"
#include "map/node.h"

class Rainbow : public Tile {
    public:
        Rainbow() : Tile(4) {}

        Rainbow(const Rainbow &other) = default;
        Rainbow &operator=(const Rainbow &other) = delete;

        virtual ~Rainbow() = default;

        virtual Rainbow *clone() { return new Rainbow(*this); }

        Entity *create_entity() override;

        void render(Render r) override;

    private:

};
